# Variables
variable "system_name" {
  type = string
  default = "simplevms"
}

# VM's for Application
variable "app_vm_count" {
  type = string
  default = "3"
}
variable "flavor_app" {
  type = string
  default = "m2a.xlarge"
}
variable "image_app" {
  type = string
  default = "Ubuntu-22.04"
}
variable "volume_app_os" {
  type = string
  default = "10"
}
variable "volume_app" {
  type = string
  default = "10"
}
variable "app_subnet" {
  type = string
  default = "192.168.1"
}


# Variables for Network Connectivity
variable "cloud_network" {
  type = string
  default = "PublicEphemeral"
}

# Keypair
variable "keypair" {
  type = string
  # Configure your public key here, it should look something like this
  #default = "ssh-rsa XXXXXXXXXXXXXXXXXXXXXXXXXXXX example@example.com"
  default = "YOUR_PUBLIC_KEY_HERE"

}
