resource "openstack_networking_port_v2" "app_ports" {
  count = var.app_vm_count
  name  = "${var.system_name}-app_ports-${format("%02d", count.index + 1)}"
  network_id = data.openstack_networking_network_v2.cloud_network.id
  security_group_ids = [openstack_networking_secgroup_v2.secgroup_app.id]
}
